DCloud
DCloud
  • 发布:2018-12-28 17:18
  • 更新:2021-03-10 09:42
  • 阅读:18322

uni-app原生插件使用常见问题

分类:uni-app

uni-app原生插件使用的条件是什么?

要求HBuilderX1.4.0及以上版本,并且必须是uni-app项目
老版本HBuilder不支持(请迁移到最新版本的HBuilderX),5+APP及Wap2App项目都不支持调用uni-app原生插件。

uni-app原生插件如何支持真机运行?

HBuilderX中自带的默认真机运行基座不包含任何uni-app原生插件,所以不支持直接调用uni-app原生插件。
必须使用自定义基座才能支持真机运行调用uni-app原生插件

uni-app原生插件真机运行提示“using unregistered native plugin 'XXX'”?

默认真机运行的基座中不包含任何原生插件,所以不能调用uni原生插件,必须自定义基座

  • 确定配置了自定义基座,并且勾选了“使用自定义基座”(HBuilderX的菜单"运行"->"运行到手机或模拟器"->"使用自定义基座")
  • 确定手机上运行的是配置uni-app原生插件后提交生成的自定义基座,可以尝试删除手机上的自定义基座应用,重新真机运行

更多uni-app原生插件文档参考:uni-app原生插件开发指南

3 关注 分享
诗小柒 DCloud_iOS_XHY sonicsunsky

要回复文章请先登录注册

小权

小权

如果我的uni-app集成了第三方原生SDK,怎么开放给第三方H5(非Uni-app项目)调用?以前H5+可以写成js插件。
2021-03-10 09:42
c***@teamdreams.cn

c***@teamdreams.cn

回复 c***@teamdreams.cn :
官方什么时候解决一下。。。。
2020-10-24 09:47
h***@aliyun.com

h***@aliyun.com

回复 c***@teamdreams.cn :
版本同 问题同
2020-10-24 01:54
c***@teamdreams.cn

c***@teamdreams.cn

最新版本Hbx 2.9.3 自定义基座运行提示该自定义基座不包含xxx原生插件,(明明在mainifest配置了,而且以前可以运行的项目现在也不行了)
2020-10-23 15:39
蛇皮

蛇皮

您好,我的hbuilder x的版本是2.7.14,创建好uni-app项目后,到插件市场点击试用,一直提示我先创建uni-app项目,试了好多次。求大神解答
2020-07-20 01:31
linlea

linlea

再试试
2020-07-18 18:29
触达

触达

回复 w***@qq.com :
请哦也遇到这样的问题,请问您好似怎么处理的?
2020-03-19 16:04
瞅这里长命百寿

瞅这里长命百寿

有没有iOS的?
2019-10-14 09:52
1***@qq.com

1***@qq.com

怎么保证下载的原生sdk插件是安全的?
2019-10-03 15:57
1***@qq.com

1***@qq.com

http://www.chuhei8344.top
http://www.chuhei8516.top
http://www.chuhei2225.top
http://www.chuhei5007.top
http://www.chuhei0386.top
2019-07-24 17:36